package com.iamberry.wechat.core.entity.statictics;

import java.io.Serializable;

import com.iamberry.wechat.core.entity.PageBean;

public class ActivateInfo implements Serializable {
	
	/**
	 * 
	 */
	private static final long serialVersionUID = -3688906884429179277L;

	private String roleId;						//角色id
	
	private String roleName;					//	角色名称
	
	private Integer activateNum;			//已激活数量
	
	private Integer nonactivatedNum;	//未激活数量
	
	private double roundNum;				//激活率
	
	private PageBean page = new PageBean();

	public double getRoundNum() {
		return roundNum;
	}

	public void setRoundNum(double roundNum) {
		this.roundNum = roundNum;
	}

	public String getRoleId() {
		return roleId;
	}

	public void setRoleId(String roleId) {
		this.roleId = roleId;
	}

	public String getRoleName() {
		return roleName;
	}

	public void setRoleName(String roleName) {
		this.roleName = roleName;
	}

	public Integer getActivateNum() {
		return activateNum;
	}

	public void setActivateNum(Integer activateNum) {
		this.activateNum = activateNum;
	}

	public Integer getNonactivatedNum() {
		return nonactivatedNum;
	}

	public void setNonactivatedNum(Integer nonactivatedNum) {
		this.nonactivatedNum = nonactivatedNum;
	}

	public PageBean getPage() {
		return page;
	}

	public void setPage(PageBean page) {
		this.page = page;
	}
	
	
}
